Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for IMS API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.ims
Class IMSClientETDDefs

    java.lang.Object
      com.stc.eways.ims.IMSClientETDDefs

    public class IMSClientETDDefs

extends java.lang.Object

Field Summary
`static java.lang.String` | `ETD_DEF_PROP_NAME_IRM_CLIENTID`
`static java.lang.String` | `ETD_DEF_PROP_NAME_IRM_DESTID`
`static java.lang.String` | `ETD_DEF_PROP_NAME_IRM_F1`
`static java.lang.String` | `ETD_DEF_PROP_NAME_IRM_F2`
`static java.lang.String` | `ETD_DEF_PROP_NAME_IRM_F3`
`static java.lang.String` | `ETD_DEF_PROP_NAME_IRM_F4`
`static java.lang.String` | `ETD_DEF_PROP_NAME_IRM_F5`
`static java.lang.String` | `ETD_DEF_PROP_NAME_IRM_HEADER_ENCODING`
`static java.lang.String` | `ETD_DEF_PROP_NAME_IRM_ID`
`static java.lang.String` | `ETD_DEF_PROP_NAME_IRM_LEN`
`static java.lang.String` | `ETD_DEF_PROP_NAME_IRM_LTERM`
`static java.lang.String` | `ETD_DEF_PROP_NAME_IRM_RACF_GRNAME`
`static java.lang.String` | `ETD_DEF_PROP_NAME_IRM_RACF_PW`
`static java.lang.String` | `ETD_DEF_PROP_NAME_IRM_RACF_USERID`
`static java.lang.String` | `ETD_DEF_PROP_NAME_IRM_SOCT`
`static java.lang.String` | `ETD_DEF_PROP_NAME_IRM_TIMER`
`static java.lang.String` | `ETD_DEF_PROP_NAME_IRM_TRNCOD`
`static java.lang.String` | `ETD_DEF_PROP_NAME_IRM_TRNCOD_SRC`
`static java.lang.String` | `ETD_DEF_PROP_NAME_PORT`
`static java.lang.String` | `ETD_DEF_PROP_NAME_REPLY_DATA_ENCODING`
`static java.lang.String` | `ETD_DEF_PROP_NAME_SEND_DATA_ENCODING`
`static java.lang.String` | `ETD_DEF_PROP_NAME_SERVER`

Constructor Summary
`IMSClientETDDefs()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ETD_DEF_PROP_NAME_SERVER

    public static final java.lang.String ETD_DEF_PROP_NAME_SERVER

See Also:
  Constant Field Values

### ETD_DEF_PROP_NAME_PORT

    public static final java.lang.String ETD_DEF_PROP_NAME_PORT

See Also:
  Constant Field Values

### ETD_DEF_PROP_NAME_IRM_LEN

    public static final java.lang.String ETD_DEF_PROP_NAME_IRM_LEN

See Also:
  Constant Field Values

### ETD_DEF_PROP_NAME_IRM_ID

    public static final java.lang.String ETD_DEF_PROP_NAME_IRM_ID

See Also:
  Constant Field Values

### ETD_DEF_PROP_NAME_IRM_F5

    public static final java.lang.String ETD_DEF_PROP_NAME_IRM_F5

See Also:
  Constant Field Values

### ETD_DEF_PROP_NAME_IRM_TIMER

    public static final java.lang.String ETD_DEF_PROP_NAME_IRM_TIMER

See Also:
  Constant Field Values

### ETD_DEF_PROP_NAME_IRM_SOCT

    public static final java.lang.String ETD_DEF_PROP_NAME_IRM_SOCT

See Also:
  Constant Field Values

### ETD_DEF_PROP_NAME_IRM_CLIENTID

    public static final java.lang.String ETD_DEF_PROP_NAME_IRM_CLIENTID

See Also:
  Constant Field Values

### ETD_DEF_PROP_NAME_IRM_F1

    public static final java.lang.String ETD_DEF_PROP_NAME_IRM_F1

See Also:
  Constant Field Values

### ETD_DEF_PROP_NAME_IRM_F2

    public static final java.lang.String ETD_DEF_PROP_NAME_IRM_F2

See Also:
  Constant Field Values

### ETD_DEF_PROP_NAME_IRM_F3

    public static final java.lang.String ETD_DEF_PROP_NAME_IRM_F3

See Also:
  Constant Field Values

### ETD_DEF_PROP_NAME_IRM_F4

    public static final java.lang.String ETD_DEF_PROP_NAME_IRM_F4

See Also:
  Constant Field Values

### ETD_DEF_PROP_NAME_IRM_TRNCOD_SRC

    public static final java.lang.String ETD_DEF_PROP_NAME_IRM_TRNCOD_SRC

See Also:
  Constant Field Values

### ETD_DEF_PROP_NAME_IRM_TRNCOD

    public static final java.lang.String ETD_DEF_PROP_NAME_IRM_TRNCOD

See Also:
  Constant Field Values

### ETD_DEF_PROP_NAME_IRM_DESTID

    public static final java.lang.String ETD_DEF_PROP_NAME_IRM_DESTID

See Also:
  Constant Field Values

### ETD_DEF_PROP_NAME_IRM_LTERM

    public static final java.lang.String ETD_DEF_PROP_NAME_IRM_LTERM

See Also:
  Constant Field Values

### ETD_DEF_PROP_NAME_IRM_RACF_USERID

    public static final java.lang.String ETD_DEF_PROP_NAME_IRM_RACF_USERID

See Also:
  Constant Field Values

### ETD_DEF_PROP_NAME_IRM_RACF_GRNAME

    public static final java.lang.String ETD_DEF_PROP_NAME_IRM_RACF_GRNAME

See Also:
  Constant Field Values

### ETD_DEF_PROP_NAME_IRM_RACF_PW

    public static final java.lang.String ETD_DEF_PROP_NAME_IRM_RACF_PW

See Also:
  Constant Field Values

### ETD_DEF_PROP_NAME_SEND_DATA_ENCODING

    public static final java.lang.String ETD_DEF_PROP_NAME_SEND_DATA_ENCODING

See Also:
  Constant Field Values

### ETD_DEF_PROP_NAME_REPLY_DATA_ENCODING

    public static final java.lang.String ETD_DEF_PROP_NAME_REPLY_DATA_ENCODING

See Also:
  Constant Field Values

### ETD_DEF_PROP_NAME_IRM_HEADER_ENCODING

    public static final java.lang.String ETD_DEF_PROP_NAME_IRM_HEADER_ENCODING

See Also:
  Constant Field Values

Constructor Detail

### IMSClientETDDefs

    public IMSClientETDDefs()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for IMS API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD